#!/usr/bin/bash

rm scatter.dat
rm compact.dat

export KMP_AFFINITY="scatter"
for (( nt=1; nt<=256; nt++ ))
do  
echo $nt
    export OMP_NUM_THREADS=$nt
    ./helloflops_omp | grep GFlop | awk '{print $3 , $14}' >> scatter.dat

done


export KMP_AFFINITY="compact"
for (( nt=1; nt<=256; nt++ ))
do  
    echo $nt
    export OMP_NUM_THREADS=$nt
    ./helloflops_omp | grep GFlop | awk '{print $3 , $14}' >> compact.dat

done


# scp the *dat files to a machine with a plotting program 
# (gnuplot, xmgrace, e.g.) and look at dependence of performance on 
# number of threads.
#gnuplot -persist -e "plot 'scatter.dat', 'compact.dat' "
