#!/usr/bin/bash

## use sbatch to submit this file on qpace3


#SBATCH --job-name=test
#SBATCH --nodes=1
#SBATCH --time=1:00:00
##SBATCH --partition=qp3
##SBATCH --account=jsc


# make sure libraries are findable
module use /bug/opt/modulefiles
module load  compiler/intel/17.0.2.174


rm -f scatter.dat
rm -f compact.dat

export KMP_AFFINITY="scatter"
for (( nt=1; nt<=256; nt++ ))
do  
echo $nt
    export OMP_NUM_THREADS=$nt
    ./helloflops_omp | grep GFlop | awk '{print $3 , $14}' >> scatter.dat

done


export KMP_AFFINITY="compact"
for (( nt=1; nt<=256; nt++ ))
do  
    echo $nt
    export OMP_NUM_THREADS=$nt
    ./helloflops_omp | grep GFlop | awk '{print $3 , $14}' >> compact.dat

done

#TODO retrieve the *.dat file and view in xmgrace or gnuplot
